
public class Class116 {

   public static int anInt1180;
   static int anInt1181;


   static final void method2287(long var0) {
      try {
         Thread.sleep(var0);
      } catch (InterruptedException var3) {
         ;
      }

   }

   static final void method2288(long var0) {
      try {
         Thread.sleep(var0);
      } catch (InterruptedException var3) {
         ;
      }

   }

   Class116() throws Throwable {
      throw new Error();
   }

   static final void method2289(long var0) {
      try {
         Thread.sleep(var0);
      } catch (InterruptedException var3) {
         ;
      }

   }

   static final void method2290(Class124 var0, Class121 var1, Class508 var2, int var3) {
      var0.anInt1410 = -1743173950;
      var0.aClass396_1535 = null;
      var0.anInt1411 = var2.anIntArray6027[(var2.anInt6003 -= 98312473) * -937710807] * 1431494067;
      if(-875927841 * var0.anInt1369 == -1 && !var1.aBool1206) {
         Class477_Sub2.method12815(34646887 * var0.anInt1406, (byte)2);
      }

   }

   public static void method2291(Class124[] var0, int var1, int var2, int var3, boolean var4, byte var5) {
      for(int var6 = 0; var6 < var0.length; ++var6) {
         Class124 var7 = var0[var6];
         if(var7 != null && -1029733319 * var7.anInt1481 == var1) {
            Class54.method1251(var7, var2, var3, var4, -276190268);
            Class8.method662(var7, var2, var3, 301696531);
            if(var7.anInt1392 * 253919081 > 3843669 * var7.anInt1394 - 516053361 * var7.anInt1368) {
               var7.anInt1392 = var7.anInt1394 * -426705395 - var7.anInt1368 * 235917513;
            }

            if(253919081 * var7.anInt1392 < 0) {
               var7.anInt1392 = 0;
            }

            if(var7.anInt1393 * 1656112449 > -1873816095 * var7.anInt1395 - var7.anInt1383 * 437250785) {
               var7.anInt1393 = var7.anInt1395 * 1731479713 - 1813388705 * var7.anInt1383;
            }

            if(var7.anInt1393 * 1656112449 < 0) {
               var7.anInt1393 = 0;
            }

            if(0 == var7.anInt1370 * 258921611) {
               Class404.method6832(var0, var7, var4, -1050848845);
            }
         }
      }

   }

   static final void method2292(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class420.aClass242_5333.method4351(1976692324);
   }
}
